CREATE TABLE `blog_posts` (
  `post_id` INT NOT NULL AUTO_INCREMENT,
  `post_title` TEXT NULL,
  `post_content` LONGTEXT NULL,
  `post_timestamp` TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP,
  `post_draft` LONGTEXT NULL,
  `post_url` VARCHAR(255) NULL,
  `post_deleted` TINYINT NULL DEFAULT 0,
  `user_id` INT NULL,
  PRIMARY KEY (`post_id`),
  UNIQUE INDEX `post_url_UNIQUE` (`post_url` ASC));